Page MenuHomePhabricator

"Refreshed" search bar moves up 1px when clicked
Closed, ResolvedPublic2 Story Points

Description

While I was reviewing @bmansurov's change for T134894, I noticed that the "refreshed" search bar moved up 1px when I clicked it.

Note well that:

  • I don't see this behaviour in Chrome (51.0.2704.84); and
  • I see this behaviour at all widths (mobile, tablet, and desktop)
  • Happens in stable and beta.

Example URL: http://reading-web-staging.wmflabs.org/wiki/Main_Page?useformat=mobile
Browser: Firefox (47.0), Safari (9.1.1)
OS: OS X El Capitan 10.11.5

Suggested testbed, portrait and landscape, LTR & RTL:

  • Android 2.3 Browser phone form factor
  • Android 4.x/5.x/6.x Chrome phone form factor
  • Android 4.x/5.x/6.x Chrome tablet form factor
  • iOS 9.3 iPhone
  • iOS 9.3 iPad
  • Opera mobile (not mini) Android 4+ phone form factor
  • UC browser (not mini) Android 4+ phone form factor
  • Windows 7.5 Phone IE
  • Desktop Firefox
  • Desktop Chrome
  • Desktop Safari
  • Internet Explorer 11

Note that iOS 8.4 is out of scope while device / testing service available, but iOS 9.3 is pretty close to iOS 8.4 for layout.

Event Timeline

phuedx created this task.Jun 21 2016, 11:00 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 21 2016, 11:00 AM
phuedx updated the task description. (Show Details)Jun 21 2016, 11:02 AM
Jhernandez triaged this task as High priority.Jun 21 2016, 5:10 PM
Jhernandez moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

T134894 didn't introduce this bug, which is why I'm treating it as distinct.

Jdlrobson updated the task description. (Show Details)Jun 27 2016, 4:42 PM
Jdlrobson set the point value for this task to 2.
dr0ptp4kt updated the task description. (Show Details)Jun 29 2016, 6:07 PM
dr0ptp4kt updated the task description. (Show Details)Jun 30 2016, 3:43 PM
dr0ptp4kt lowered the priority of this task from High to Normal.Jul 1 2016, 5:50 PM
Jdlrobson claimed this task.Jul 6 2016, 7:51 PM
Jdlrobson moved this task from To Do to Doing on the Reading-Web-Sprint-76-Retrosprekfast board.

Change 297636 had a related patch set uploaded (by Jdlrobson):
Avoid 1px jump when focus search

https://gerrit.wikimedia.org/r/297636

The -1 from Jenkins is unrelated to my patch.

Change 297636 merged by jenkins-bot:
Avoid 1px jump when focus search

https://gerrit.wikimedia.org/r/297636

bmansurov closed this task as Resolved.Jul 12 2016, 5:45 AM

To test please visit http://en.m.wikipedia.beta.wmflabs.org/w/index.php?title=Main_Page

I tested the fix using:

  • Firefox 47.0, Chrome 51.0.2704.84, Safari 9.1.1 on Mac OS X 10.11.5.
  • IE 11 on Windows 7, Edge 14 on Windows 10
  • Nokia Lumia 930 on Windows Phone 8.1
  • Chrome on Android 4.4 on Nexus 5
  • Chrome on Android 5.0 on Nexus 6
  • Chrome on Android 6.0 on Nexus 6
  • Safari on IOS 9.0 on iPhone 6S Plus
  • Opera Mini beta 17.0.2211.105077 on Android 6, Nexus 5X.

Feel free to test on other suggested devices

Jdlrobson reopened this task as Open.Jul 13 2016, 3:33 PM

This has caused an issue with VisualEditor. Signed off a little hastily.

Can you share a link to the issue?

No bug was raised but see https://gerrit.wikimedia.org/r/#/c/298773/1
With the Nokia issue you raised as well, let's thus spending a little longer verifying.

(This has probably caused T140051)

dr0ptp4kt closed this task as Resolved.Jul 16 2016, 2:28 AM
dr0ptp4kt added a subscriber: dr0ptp4kt.

This seemed okay in the UAs where I checked:

Mac OS X: latest Chrome, Firefox, Safari stable
iPhone 5c iOS 9.3 Safari
LG Nexus 4 Android 5 Chrome
LG Nexus 4 Android 5 Opera Mini non-compressed mode (supports RL)
LG Nexus 4 Android 5 UC browser (not mini)
Nexus 7 Android 5 Chrome

Windows Phone 7.5 stuff is noted in T140504: Windows Phone 7.5 Search UX Issues. I'm considering it out of scope here.